SerializeUtils (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.util

## Class SerializeUtils

- java.lang.Object
- - org.apache.zookeeper.server.util.SerializeUtils

-     public class SerializeUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializeUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `deserializeSnapshot(DataTree dt, InputArchive ia, Map<Long,Integer> sessions)`
    `static TxnLogEntry` | `deserializeTxn(byte[] txnBytes)`
    `static byte[]` | `serializeRequest(Request request)`
    `static void` | `serializeSnapshot(DataTree dt, OutputArchive oa, Map<Long,Integer> sessions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializeUtils

          public SerializeUtils()

  - ### Method Detail

    - #### deserializeTxn

          public static TxnLogEntry deserializeTxn(byte[] txnBytes)
                                            throws IOException

      Throws:
        `IOException`

    - #### deserializeSnapshot

          public static void deserializeSnapshot(DataTree dt,
                                                 InputArchive ia,
                                                 Map<Long,Integer> sessions)
                                          throws IOException

      Throws:
        `IOException`

    - #### serializeSnapshot

          public static void serializeSnapshot(DataTree dt,
                                               OutputArchive oa,
                                               Map<Long,Integer> sessions)
                                        throws IOException

      Throws:
        `IOException`

    - #### serializeRequest

          public static byte[] serializeRequest(Request request)

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.